<?PHP
/**
 * This file contains an exception class to be used when trying to enter
 * a vocabulary entry in the wrong vocabulary.
 *
 * @file
 *
 * @author Joshua Ramon Enslin <joshua@museum-digital.de>
 */
declare(strict_types = 1);

/**
 * This file contains an exception class to be used when trying to enter
 * a vocabulary entry in the wrong vocabulary.
 */
final class MDNewVocabEntryIsStrictlyTypedAsTime extends MDgenericInvalidInputsException {
    /**
     * Error message.
     *
     * @return string
     */
    public function errorMessage() {
        //error message
        return 'The entered term is known to always represent a time entry. ' . $this->getMessage();

    }
}
